List agents¶
GET https://api.moalmanac.org/agents
Retrieves Agents from the database. Filters by agent_name, agent_id, and agent_type. agent_name is matched case-insensitively.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
agent_name |
string | Return agent records with this name, ignoring case. | Van Allen lab |
agent |
string (repeatable) | Agent name, matched exactly. Repeatable; matches any of the given values (OR). | Van Allen lab |
agent_id |
string (repeatable) | Agent id. Repeatable; matches any of the given values (OR). | agent:user:vanallenlab |
agent_type |
string (repeatable) | Agent type. Repeatable; matches any of the given values (OR). | organization |
Example request¶
curl "https://api.moalmanac.org/agents?agent_name=Van+Allen+lab"
Response¶
Returns the standard response envelope, with data set to a list of Agent records.
Example response
{
"meta": {
"data_length": 1,
"message": "Agents retrieved successfully",
"request_url": "https://api.moalmanac.org/agents",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "agent:org:fda",
"type": "Agent",
"agentType": "organization",
"name": "Food and Drug Administration",
"description": "Regulatory agency that approves drugs for use in the United States.",
"extensions": [
{
"name": "last_updated",
"value": "2026-06-24",
"description": ""
},
{
"name": "url",
"value": "https://www.accessdata.fda.gov/scripts/cder/daf/index.cfm",
"description": ""
}
]
}
]
}